Page MenuHomePhabricator

Complete first round of the Release Engineering Developer Satisfaction survey
Closed, ResolvedPublic

Description

In support of the Developer Productivity program for fiscal year 18/19 we (RelEng) will be conducting a survey of Wikimedia developers with two main goals in mind:

  1. being able to gauge overall developer satisfaction, and
  2. to identify high ROI areas/problems to devote time to addressing.

Timeline: This is a goal for us in Q1 (July - Sept) (to have the survey out and complete).

Event Timeline

greg triaged this task as Normal priority.Jun 18 2018, 10:37 PM
greg created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2018, 10:37 PM
Vvjjkkii renamed this task from Developer Satisfaction Survey to gpaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from gpaaaaaaaa to Developer Satisfaction Survey.Jul 2 2018, 11:51 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
mmodell added a subscriber: mmodell.Sep 4 2018, 3:57 PM
greg renamed this task from Developer Satisfaction Survey to Complete first round of the Release Engineering Developer Satisfaction survey.Nov 20 2018, 5:43 AM
greg removed a project: User-greg.
greg closed this task as Resolved.Apr 15 2019, 11:43 PM
greg assigned this task to jeena.

This was a redundant task, apologies.